%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{?!pybasever:%{expand:%%define pybasever %(%{__python} -c "import sys ; print sys.version[:3]")}}

Name:           python-cvstoys
Version:        1.0.10
Release:        5%{?dist}
Summary:        Collection of python tools for CVS

Group:          Development/Tools
License:        BSD
URL:            http://purl.net/net/CVSToys
Source0:        http://www.twistedmatrix.com/users/acapnotic/wares/code/CVSToys/CVSToys-%{version}.tar.bz2
Patch0:		%{name}-no-shebang.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	python-setuptools
Requires:       python-abi = %{pybasever}, python-twisted

BuildArch:	noarch

%description
CVSToys is a collection of companion tools for the Concurrent Versions System,
better known as CVS.  The biggest best and only toy we've got is Fresh CVS,
a commit monitoring daemon which can keep a mirror of the repository or
checked-out working copy up to date, and send out notifications by e-mail, on
the web as HTML or RSS, or to a chat service such as IRC.

%prep
%setup -q -n CVSToys-%{version}
%patch0 -p1

%build
python setup.py build

%install
rm -rf %{buildroot}

python setup.py install -O1 --skip-build --root %{buildroot}

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root,-)
%doc ChangeLog NEWS README
%{_bindir}/*
%dir %{python_sitelib}/cvstoys
%{python_sitelib}/cvstoys/*.py*
%{python_sitelib}/cvstoys/actions/*.py*
%{python_sitelib}/cvstoys/clients/*.py*
%{python_sitelib}/cvstoys/clients/recent_template.html
%{python_sitelib}/cvstoys/plugins.tml


%changelog
* Fri Sep 08 2006 Michael J. Knox <michael[AT]knox.net.nz> - 1.0.10-5
- include .pyo files now. 

* Mon Aug 27 2006 Michael J. Knox <michael[AT]knox.net.nz> - 1.0.10-4
- Rebuild for FC6

* Wed Jul 05 2006 Michael J. Knox <michael[AT]knox.net.nz> - 1.0.10-3
- remove #! where its not needed. 

* Tue Jul 04 2006 Michael J. Knox <michael[AT]knox.net.nz> - 1.0.10-2
- dont set CFLAGs.. noarch, changed package group

* Sun Jul 02 2006 Michael J. Knox <michael[AT]knox.net.nz> - 1.0.10-1
- Inital build for FE

